﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Linq;

namespace FsDb.Test
{
    internal static class Utility
    {
        public static string CombineLocalPath(this string me, params string[] nexts)
        {
            if (me == null || nexts.Length == 0)
                throw new ArgumentNullException();

            string dsc = Path.DirectorySeparatorChar.ToString();

            var lst = nexts.ToList();

            lst.Insert(0, me);

            return string.Join(
                    dsc
                    , lst.ToArray()
                )
            ;
        }
    }
}
